[arch-commits] Commit in luxrender/repos (6 files)

Lukas Jirkovsky stativ at nymeria.archlinux.org
Fri May 16 08:45:09 UTC 2014


    Date: Friday, May 16, 2014 @ 10:45:08
  Author: stativ
Revision: 111295

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  luxrender/repos/community-staging-i686/
  luxrender/repos/community-staging-i686/PKGBUILD
    (from rev 111294, luxrender/trunk/PKGBUILD)
  luxrender/repos/community-staging-i686/force_python3.diff
    (from rev 111294, luxrender/trunk/force_python3.diff)
  luxrender/repos/community-staging-x86_64/
  luxrender/repos/community-staging-x86_64/PKGBUILD
    (from rev 111294, luxrender/trunk/PKGBUILD)
  luxrender/repos/community-staging-x86_64/force_python3.diff
    (from rev 111294, luxrender/trunk/force_python3.diff)

---------------------------------------------+
 community-staging-i686/PKGBUILD             |   54 ++++++++++++++++++++++++++
 community-staging-i686/force_python3.diff   |   12 +++++
 community-staging-x86_64/PKGBUILD           |   54 ++++++++++++++++++++++++++
 community-staging-x86_64/force_python3.diff |   12 +++++
 4 files changed, 132 insertions(+)

Copied: luxrender/repos/community-staging-i686/PKGBUILD (from rev 111294, luxrender/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2014-05-16 08:45:08 UTC (rev 111295)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+# Contributor: flixie <69one at gmx.net>
+# Contributor: Imanol Celaya <ornitorrincos at archlinux-es.org>
+pkgname=luxrender
+pkgver=1.3.1
+_pkgver=d0b0e20c47cc
+pkgrel=8
+pkgdesc="Rendering system for physically correct, unbiased image synthesis"
+arch=('i686' 'x86_64')
+url="http://www.luxrender.net/"
+license=('GPL')
+depends=('boost-libs' 'freeimage' 'openexr' 'libpng' 'libcl' 'libgl' 'fftw')
+optdepends=('luxblend25: Blender exporter' 'qt4: Qt GUI' \
+            'python: Python interface (pylux)'
+            'nvidia-utils: OpenCL support for nVidia GPUs' \
+            'amdstream: OpenCL support for AMD GPUs' \
+            'intel-opencl-sdk: OpenCL support for Intel CPUs')
+makedepends=('cmake' 'boost' 'mesa' 'qt4' "luxrays=$pkgver" 'python' 'opencl-headers')
+source=(https://bitbucket.org/luxrender/lux/get/$_pkgver.tar.bz2 \
+        force_python3.diff)
+md5sums=('cbe749f56a1e1976745f5458100efa8a'
+         '42692e65eabc5828693e2682e94b7c64')
+
+prepare() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+
+  patch -Np1 < "$srcdir/force_python3.diff" || true
+}
+
+build() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+
+  cmake -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLUXRAYS_DISABLE_OPENCL=OFF \
+    -DPYTHON_CUSTOM=ON \
+    -DPYTHON_LIBRARIES=/usr/lib/libpython3.4m.so \
+    -DPYTHON_INCLUDE_PATH=/usr/include/python3.4m/ \
+    .
+  make
+}
+
+package() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+  make DESTDIR="$pkgdir" install
+
+  # fix library path on x86_64
+  [ "$CARCH" = "x86_64" ] && mv "$pkgdir"/usr/lib64 "$pkgdir"/usr/lib
+
+  #install pylux
+  install -D -m644 pylux.so "$pkgdir"/usr/lib/python3.4/pylux.so
+}
+
+# vim:set ts=2 sw=2 et:

Copied: luxrender/repos/community-staging-i686/force_python3.diff (from rev 111294, luxrender/trunk/force_python3.diff)
===================================================================
--- community-staging-i686/force_python3.diff	                        (rev 0)
+++ community-staging-i686/force_python3.diff	2014-05-16 08:45:08 UTC (rev 111295)
@@ -0,0 +1,12 @@
+diff -rup luxrender-lux-d0b0e20c47cc/cmake/Dependencies.cmake luxrender-lux-d0b0e20c47cc.new/cmake/Dependencies.cmake
+--- luxrender-lux-d0b0e20c47cc/cmake/Dependencies.cmake	2013-11-04 22:25:45.000000000 +0100
++++ luxrender-lux-d0b0e20c47cc.new/cmake/Dependencies.cmake	2013-12-05 19:43:23.414625854 +0100
+@@ -156,7 +156,7 @@ IF(MSVC AND BOOST_python_LIBRARYDIR)
+ 	SET(BOOST_LIBRARYDIR "${BOOST_python_LIBRARYDIR}")
+ ENDIF(MSVC AND BOOST_python_LIBRARYDIR)
+ 
+-FIND_PACKAGE(Boost ${Boost_MINIMUM_VERSION} COMPONENTS python REQUIRED)
++FIND_PACKAGE(Boost ${Boost_MINIMUM_VERSION} COMPONENTS python3 REQUIRED)
+ 
+ IF(MSVC AND BOOST_python_LIBRARYDIR)
+ 	SET(BOOST_LIBRARYDIR "${_boost_libdir}")

Copied: luxrender/repos/community-staging-x86_64/PKGBUILD (from rev 111294, luxrender/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2014-05-16 08:45:08 UTC (rev 111295)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+# Contributor: flixie <69one at gmx.net>
+# Contributor: Imanol Celaya <ornitorrincos at archlinux-es.org>
+pkgname=luxrender
+pkgver=1.3.1
+_pkgver=d0b0e20c47cc
+pkgrel=8
+pkgdesc="Rendering system for physically correct, unbiased image synthesis"
+arch=('i686' 'x86_64')
+url="http://www.luxrender.net/"
+license=('GPL')
+depends=('boost-libs' 'freeimage' 'openexr' 'libpng' 'libcl' 'libgl' 'fftw')
+optdepends=('luxblend25: Blender exporter' 'qt4: Qt GUI' \
+            'python: Python interface (pylux)'
+            'nvidia-utils: OpenCL support for nVidia GPUs' \
+            'amdstream: OpenCL support for AMD GPUs' \
+            'intel-opencl-sdk: OpenCL support for Intel CPUs')
+makedepends=('cmake' 'boost' 'mesa' 'qt4' "luxrays=$pkgver" 'python' 'opencl-headers')
+source=(https://bitbucket.org/luxrender/lux/get/$_pkgver.tar.bz2 \
+        force_python3.diff)
+md5sums=('cbe749f56a1e1976745f5458100efa8a'
+         '42692e65eabc5828693e2682e94b7c64')
+
+prepare() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+
+  patch -Np1 < "$srcdir/force_python3.diff" || true
+}
+
+build() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+
+  cmake -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLUXRAYS_DISABLE_OPENCL=OFF \
+    -DPYTHON_CUSTOM=ON \
+    -DPYTHON_LIBRARIES=/usr/lib/libpython3.4m.so \
+    -DPYTHON_INCLUDE_PATH=/usr/include/python3.4m/ \
+    .
+  make
+}
+
+package() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+  make DESTDIR="$pkgdir" install
+
+  # fix library path on x86_64
+  [ "$CARCH" = "x86_64" ] && mv "$pkgdir"/usr/lib64 "$pkgdir"/usr/lib
+
+  #install pylux
+  install -D -m644 pylux.so "$pkgdir"/usr/lib/python3.4/pylux.so
+}
+
+# vim:set ts=2 sw=2 et:

Copied: luxrender/repos/community-staging-x86_64/force_python3.diff (from rev 111294, luxrender/trunk/force_python3.diff)
===================================================================
--- community-staging-x86_64/force_python3.diff	                        (rev 0)
+++ community-staging-x86_64/force_python3.diff	2014-05-16 08:45:08 UTC (rev 111295)
@@ -0,0 +1,12 @@
+diff -rup luxrender-lux-d0b0e20c47cc/cmake/Dependencies.cmake luxrender-lux-d0b0e20c47cc.new/cmake/Dependencies.cmake
+--- luxrender-lux-d0b0e20c47cc/cmake/Dependencies.cmake	2013-11-04 22:25:45.000000000 +0100
++++ luxrender-lux-d0b0e20c47cc.new/cmake/Dependencies.cmake	2013-12-05 19:43:23.414625854 +0100
+@@ -156,7 +156,7 @@ IF(MSVC AND BOOST_python_LIBRARYDIR)
+ 	SET(BOOST_LIBRARYDIR "${BOOST_python_LIBRARYDIR}")
+ ENDIF(MSVC AND BOOST_python_LIBRARYDIR)
+ 
+-FIND_PACKAGE(Boost ${Boost_MINIMUM_VERSION} COMPONENTS python REQUIRED)
++FIND_PACKAGE(Boost ${Boost_MINIMUM_VERSION} COMPONENTS python3 REQUIRED)
+ 
+ IF(MSVC AND BOOST_python_LIBRARYDIR)
+ 	SET(BOOST_LIBRARYDIR "${_boost_libdir}")




More information about the arch-commits mailing list